#
# spec file for package texlive-specs-q
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define build_slice q
%define __perl_requires		%{nil}
%define __os_install_post       /usr/lib/rpm/brp-compress \\\
  %(ls /usr/lib/rpm/brp-suse.d/* 2> /dev/null | grep -vE 'check-la|boot-scripts|rpath|symlink|desktop|strip-debug|gcc-output|debuginfo|libtool|kernel-log') %{nil}
# skip-check-libtool-deps
%if 0%{?_with_debug:1}
%define __debug_install_post : > %{_builddir}/%{?buildsubdir}/debugfiles.list
%define debug_package %{nil}
%endif

# skip-check-libtool-deps
Name:           texlive-specs-q
Version:        2012
Release:        4.5.2
Summary:        One spec file for all TeX Live packages
License:        GPL-2.0+ and LPPL-1.0
Group:          Development/Tools/Building
Url:            http://build.opensuse.org/package/show?package=texlive-specs-q&project=Publishing:TeXLive
Source0:        texlive-specs.tar.xz
Source1000:     qcm.doc.tar.xz
Source1001:     qcm.tar.xz
Source1002:     qobitree.doc.tar.xz
Source1003:     qobitree.tar.xz
Source1004:     qpxqtx.doc.tar.xz
Source1005:     qpxqtx.tar.xz
Source1006:     qstest.doc.tar.xz
Source1007:     qstest.tar.xz
Source1008:     qsymbols.doc.tar.xz
Source1009:     qsymbols.tar.xz
Source1010:     qtree.doc.tar.xz
Source1011:     qtree.tar.xz
Source1012:     quotchap.doc.tar.xz
Source1013:     quotchap.tar.xz
Source1014:     quoting.doc.tar.xz
Source1015:     quoting.tar.xz
Source1016:     quotmark.doc.tar.xz
Source1017:     quotmark.tar.xz
NoSource:       1000
NoSource:       1001
NoSource:       1002
NoSource:       1003
NoSource:       1004
NoSource:       1005
NoSource:       1006
NoSource:       1007
NoSource:       1008
NoSource:       1009
NoSource:       1010
NoSource:       1011
NoSource:       1012
NoSource:       1013
NoSource:       1014
NoSource:       1015
NoSource:       1016
NoSource:       1017
BuildRequires:  buffer
BuildRequires:  ed
BuildRequires:  file
BuildRequires:  fontconfig
BuildRequires:  ghostscript-fonts-std
BuildRequires:  mkfontdir
BuildRequires:  mkfontscale
BuildRequires:  texlive-filesystem
BuildConflicts: texinfo
BuildRequires:  xfs
BuildRequires:  xorg-x11-fonts-core
BuildRequires:  xz
BuildArch:      noarch

%description
Use one rpm spec file for repackaging the texmf/texmf-dist
the several tar balls of TeX Live. 

%prep
pushd %_sourcedir
    chmod g-w *.tar.xz
popd
%setup -n texlive-specs -q
%build
(cat > Makefile)<<'EOF'
 topdir=$(abspath ../..)
rootdir=$(topdir)/BUILDROOT
 SHELL := /bin/bash

%%.rpm: root=$(rootdir)/$*.noarch
%%.rpm: %%.spec
	exec > >(exec buffer -s 256k -m 1m -u 10) 2>&1; \
	rpmbuild -ba --buildroot $(root) --define '_srcdefattr (-,root,root)' --define 'rlobs %release' %{?disturl:--define 'disturl %disturl'} $< && \
	rm -rf $(topdir)/BUILD/$*-[0-9]*

%if %{defined build_slice}
specs := $(foreach spec,%build_slice,$(wildcard texlive-$(spec)*.spec))
%else
specs := $(sort $(filter-out texlive-specs.specs,$(wildcard *.spec)))
%endif
rpms := $(specs:.spec=.rpm)

all: $(rpms)
EOF
make topdir=%{_topdir} %{?_smp_mflags}

%install

%files
%defattr(-,root,root,0755)

%changelog
* Tue Jul 16 2013 werner@suse.de
- Let texlive-arev require tex(mdacmr.fd) (bnc#819867)
- Avoid line break in patch pgf_plain.dif (bnc#823273)
* Tue May  7 2013 werner@suse.de
- As lcdf-typetools does not support kpathsea nor search below
  texmf tree build the texlive-lcdftypetools(-bin) packages again
  and let them conflict with the lcdf-typetools package.
* Mon May  6 2013 werner@suse.de
- Asymptote binaries may have the same version as the format files
  of the asymptote package it self (bnc#813032)
* Wed Mar 27 2013 werner@suse.de
- Change Obsoletes from < 2012+subversion to <= 2011 (bnc#811162)
- Let mathdesign require tex(texnansi.enc) (bnc#808731)
- Let biber-bin require perl(Text::BibTeX) (bnc#811258)
- Do not require xfs as we do not use xfs at all, otherwise we
  have to add some more lua code in the %%post scriptlet.
* Tue Feb 26 2013 werner@suse.de
- Avoid doubling mktex.opt content with excessive patch which had
  lead that the original content overrides the new one (bnc#801727)
* Tue Feb  5 2013 werner@suse.de
- Work around missing support of %%posttrans scriptlets in libzypp
  due missing rpm option for not to execute those scriptlets (bnc#773575)
* Tue Oct  9 2012 werner@suse.de
- Add require texlive-metapost for texlive-dvips
- Add some more requires for latex-bin
- Add require pdftex.def for texlive-pdftex
- Do not reqiure package pgfmath in pgffor.sty (bnc#783252)
* Wed Sep 12 2012 werner@suse.de
- Use disturl for rpmbuild runs
- Aggregate licenses for meta spec file automatically
* Wed Aug 29 2012 cfarrell@suse.com
- license update: GPL-2.0+ and LPPL-1.3c and GPL-3.0+ and MPL-1.1 and
  LPPL-1.0 and OFL-1.1 and Apache-2.0
  Aggregate licenses for spec file without subpackages
* Thu Aug  2 2012 werner@suse.de
- Change font config semantic as the font directories below
  /usr/share/fonts will be always found by freetype
* Fri Jul 20 2012 werner@suse.de
- Source validator does not like not applied patches
* Thu Jul 19 2012 werner@suse.de
- Correct path in pgf patch
* Thu Jul 19 2012 werner@suse.de
- Make the sub packagers texlive-spec-{a..z} valid for source
  validator
* Thu Jul 12 2012 werner@suse.de
- Add patch to make pgf work with plain TeX (bnc#746719)
* Thu Jun 28 2012 werner@suse.de
- Make jadetex format build in posttrans scriptlet
* Wed Jun 27 2012 werner@suse.de
- Add some missed files
- Break cycle between latex and latex-bin
* Tue Jun 26 2012 werner@suse.de
- move lgrenc.dfu from doc to tex tree
* Tue Jun 26 2012 werner@suse.de
- Avoid dependency loops between kpathsea, tetex, and texconfig
  with the main package texlive as otherwise the three packages
  will be isntalled before texlive
* Fri Jun 22 2012 werner@suse.de
- Make sure that posttrans scriptlets will execute update script
* Fri Jun 22 2012 werner@suse.de
- Re-run generator script to add missed docfiles
* Thu Jun 21 2012 werner@suse.de
- Avoid failing scriptlets due slice split
* Thu Jun 21 2012 werner@suse.de
- Modify the runtime Makefile to allow to build slices from the
  2236 spec files may help to speed up the serial checks and
  serial rpmlint run
* Thu Jun 21 2012 werner@suse.de
- Do not forget requirements of texlive-latex-bin
* Wed Jun 20 2012 werner@suse.de
- Add some minimal requirements for texlive-tex, texlive-latex,
  texlive-luatex, and texlive-texinfo
* Mon Jun 18 2012 werner@suse.de
- Fix wrong placement of tex files
- Xecyr has only win executables
* Mon Jun 18 2012 werner@suse.de
- Simplify dependency chain(s)
- Allow pure source packages (knuth, latex-tds, ...)
- Allow empty packages (hyphen, bibtexu, ...) for dependencies
* Thu Jun 14 2012 werner@suse.de
- Make RPMlint happy
* Thu Jun 14 2012 werner@suse.de
- Make main spec file run several rpmbuild processes in parallel
* Wed Jun 13 2012 werner@suse.de
- Update to frozen/final 2012 (timestamp 20120611)
* Mon Jun  4 2012 werner@suse.de
- Avoid source url for all tar balls as our checkin script can not
  handle snapshots nor is knowing about the infrastructure of the
  upstream TeXLive server
* Thu May 31 2012 werner@suse.de
- Do not forget the sub package like doc and fonts
* Thu May 31 2012 werner@suse.de
- Suppress leading dot in build release number
* Thu May 31 2012 werner@suse.de
- Change version/release scheme
- Avoid to list optional loaded but not existing files as required
* Thu May 24 2012 werner@suse.de
- Add fix for latex2man insecure tmp file handling (bnc#758046)
* Mon May 21 2012 werner@suse.de
- Avoid making delcmdchanges.bash to be a text file
* Mon May 14 2012 werner@suse.de
- If MT_FEATURES includes varfonts and system default is not
  writable choose $HOME/.cache/texmf/fonts
* Wed May  9 2012 werner@suse.de
- Make rpm lint happy
* Fri Apr 13 2012 werner@suse.de
- Initial packaging of TeXLive using package database texlive.tlpdb
  that is we have now a lot small packages around
